package com.example.soundmeter;

import java.io.IOException;

import android.media.MediaRecorder;

public class SoundMeter {

	private MediaRecorder mediaRecorder;
	boolean started = false;

	public void start() {
		// need the started flag here because trying to start MediaRecorder when it's already
		// started make the whole app crash
		if (started) {
			return;
		}
		if (mediaRecorder == null) {
			mediaRecorder = new MediaRecorder();
			mediaRecorder.setAudioSource(MediaRecorder.AudioSource.MIC);
			mediaRecorder.setOutputFormat(MediaRecorder.OutputFormat.THREE_GPP);
			mediaRecorder.setAudioEncoder(MediaRecorder.AudioEncoder.AMR_NB);
			mediaRecorder.setOutputFile("/dev/null");
			try {
				mediaRecorder.prepare();
			} catch (IllegalStateException e) {
				e.printStackTrace();
			} catch (IOException e) {
				e.printStackTrace();
			}
			mediaRecorder.start();
			started = true;
		}
	}

	public void stop() {
		if (mediaRecorder != null) {
			mediaRecorder.stop();
			mediaRecorder.release();
			mediaRecorder = null;
			started = false;
		}
	}
	public double getAmplitude() {
		return mediaRecorder.getMaxAmplitude() / 100;
	}
}